using System;
using Server.Mobiles;

namespace Server.ContextMenus
{
	public class TeachEntry : ContextMenuEntry
	{
		private SkillName m_Skill;
		private BaseCreature m_Mobile;
		private Mobile m_From;

		public TeachEntry( SkillName skill, BaseCreature m, Mobile from ) : base( 6000 + (int)skill, 4 )
		{
			m_Skill = skill;
			m_Mobile = m;
			m_From = from;
		}

		public override void OnClick()
		{
			m_Mobile.BeginTeach( m_Skill, m_From );
		}
	}
}