using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x144f, 0x1454 )]
	public class BoneChest : BaseArmor
	{
		[Constructable]
		public BoneChest() : base( 0x144f, OreInfo.Iron, 11, ArmorMaterialType.Bone, ArmorBodyType.Chest )
		{
			Weight = 1;
			DexBonus = -6;
			StrRequirement = 40;
		}
		public BoneChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}