using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13db, 0x13e2 )]
	public class StuddedChest : BaseArmor
	{
		[Constructable]
		public StuddedChest() : base( 0x13DB, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Chest )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 35;
		}

		public StuddedChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}